Skip to content

/api/v1/facilities/{facilityId}/storage-nodes/{id} (PUT)

PUT
/api/v1/facilities/{facilityId}/storage-nodes/{id}
curl --request PUT \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/storage-nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/yaml' \
--data '{ "code": "example", "name": "example", "nodeType": "Area", "parentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
facilityId
required
string format: uuid
id
required
string format: uuid
object
code
required
string
name
required
string
nodeType
required
string
Allowed values: Area Aisle Bay Level Position
parentId
required
string format: uuid
nullable

OK

object
id
required
string format: uuid
facilityId
required
string format: uuid
parentId
required
string format: uuid
nullable
nodeType
required
string
code
required
string
name
required
string
status
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable